# $Revision: 1.72 $, $Date: 2002/08/10 22:43:53 $
#
# _without_gif	- without GIF support (patch from http://www.rhyme.com.au/gd/)
# _without_lzw	- without LZW compression in GIF creation functions
#
Summary:	Library for PNG, JPEG creation
Summary(es):	Biblioteca para manipulacin de imgenes
Summary(pl):	Biblioteka do tworzenia grafiki w formacie PNG, JPEG
Summary(pt_BR):	Biblioteca para manipulao de imagens
Name:		gd
Version:	2.0.1
Release:	7
License:	BSD-like
Group:		Libraries
Source0:	http://www.boutell.com/ftp-materials/boutell/gd/%{name}-%{version}.tar.gz
Patch0:		%{name}-ac_am.patch
Patch1:		http://downloads.rhyme.com.au/gd/patch_%{name}%{version}_gif_20011107.gz
Patch2:		%{name}-gif-acam.patch
Patch3:		%{name}-fontpath.patch
Patch4:		%{name}-gdTiled-segv.patch
Patch5:		%{name}-fixes.patch
URL:		http://www.boutell.com/gd/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	freetype-devel >= 2.0
BuildRequires:	libpng-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
%{!?_without_gif:Provides:	gd(gif) = %{version}}

%define		shlibver	%(echo %{version} | cut -f-2 -d.)

%description
gd is the image manipulating library. It was created to allow graphs,
charts and the like to be generated on the fly for use on the World
wide Web, but is useful for any application in which custom images are
useful. It is not a paint program; it is a library. gd library creates
PNG, JPEG and WBMP images. This is a good thing. PNG is a more compact
format, and full compression is available. JPEG works well with
photographic images, and is still more compatible with the major Web
browsers than even PNG is. WBMP is intended for wireless devices (not
regular web browsers).
%{!?_without_gif:This version has additional GIF images support.}

%description -l es
Esta es la biblioteca gd para el manejo de imgenes. Fue creada para
uso en la Web, creando grficos automticamente. Pero es til para
cualquier programa que necesite de imgenes personalizados. No es un
programa de dibujo; es una biblioteca.

%description -l pl
gd to biblioteka do obrbki obrazw. Zostaa stworzona, aby umoliwi
dynamiczne generowanie wykresw i podobnych rzeczy na potrzeby WWW,
ale moe by przydatna take dla kadej aplikacji tworzcej wasne
obrazy. Biblioteka ta pozwala na tworzenie plikw graficznych w
formatach PNG, JPEG i WBMP. PNG jest zwartym formatem z bezstratn
kompresj. JPEG dobrze nadaje si do obrazw fotograficznych i jest
obsugiwany nawet przez wicej przegldarek WWW ni PNG. WBMP jest
przeznaczony dla urzdze bezprzewodowych (a nie zwykych przegldarek
WWW).
%{!?_without_gif:Ta wersja ma dodatkowo obsug formatu GIF.}

%description -l pt_BR
Esta  a biblioteca gd para manipulao de imagens. Ela foi criada
para uso na Web, gerando grficos automaticamente. Mas  til para
qualquer programa que precise de imagens personalizados. No  um
programa de desenho;  uma biblioteca.

%package devel
Summary:	Development part of the GD library
Summary(es):	Archivos de inclusin y bibliotecas para desarrollar programas usando gd
Summary(pl):	Cz biblioteki GD przeznaczona dla developerw
Summary(pt_BR):	Arquivos de incluso e bibliotecas para desenvolver programas usando gd
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	freetype-devel >= 2.0
Requires:	libjpeg-devel
Requires:	libpng-devel
Requires:	zlib-devel
%{!?_without_gif:Provides:	gd-devel(gif) = %{version}}

%description devel
This package contains the files needed for development of programs
linked against GD.

%description devel -l es
Este paquete contiene los archivos de inclusin y las bibliotecas
necesarias para desarrollar programas usando gd.

%description devel -l pl
Pakiet ten zawiera pliki potrzebne do rozwoju programw korzystajcych
z biblioteki GD.

%description devel -l pt_BR
Este pacote contm os arquivos de incluso e as bibliotecas
necessrias para desenvolver programas usando gd.

%package static
Summary:	Static GD library
Summary(pl):	Statyczna biblioteka GD
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com libgd
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}
%{!?_without_gif:Provides:	gd-static(gif) = %{version}}

%description static
This package contains static gd library.

%description static -l pl
Ten pakiet zawiera statyczn bibliotek gd.

%description static -l pt_BR
Este pacote contem bibliotecas estticas para desenvolvimento com
libgd.

%package progs
Summary:	Utility programs that use libgd
Summary(es):	Programas utilitarios libgd
Summary(pl):	Narzdzia uywajce libgd
Summary(pt_BR):	Programas utilitrios libgd
Group:		Applications/Graphics
Requires:	%{name} = %{version}
%{!?_without_gif:Provides:	gd-progs(gif) = %{version}}

%description progs
These are utility programs supplied with gd, the image manipulation
library. The libgd-progs package contains a group of scripts for
manipulating the graphics files in formats which are supported by the
libgd library.

%description progs -l pl
Ten pakiet zawiera programy uywajce biblioteki gd, suce do
obrbki plikw graficznych w formatach obsugiwanych przez libgd.

%description progs -l pt_BR
Este pacote inclui vrios utilitrios para manipulao de arquivos gd
para uso pelos programas que usam a libgd.

%prep
%setup -q
%patch0 -p1
%{!?_without_gif:%patch1 -p1}
%{!?_without_gif:%patch2 -p1}
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%{__libtoolize}
aclocal
%{__automake}
%{__autoconf}
%{!?_without_lzw:CPPFLAGS="-DLZW_LICENCED"}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc readme.txt
%attr(755,root,root) %{_libdir}/*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc index.html
%attr(755,root,root) %{_libdir}/*.so
%attr(755,root,root) %{_libdir}/*.la
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gd.spec,v $
Revision 1.72  2002/08/10 22:43:53  qboosh
- fix for gdTiled-related SEGV (uninitialized variable) (gdTiled-segv patch)
- more fixes based mainly on gd version from graphviz (fixes patch)
- release 7

Revision 1.71  2002/08/10 16:39:33  qboosh
- fontpath patch - set default FONTPATH to PLD-compatible
- added patch with GIF support (conditional, default on)
- cleanups in descriptions
- release 6

Revision 1.70  2002/07/17 08:13:11  qboosh
- removed libpng 1.2.2 hack and BR: pkgconfig; new %%doc

Revision 1.69  2002/07/16 21:45:16  kloczek
- release 5.

Revision 1.68  2002/07/16 03:19:38  agaran
added br: pkgconfig

Revision 1.67  2002/06/23 20:32:24  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.66  2002/05/21 23:13:07  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.65  2002/04/26 15:00:47  wiget
allow compiling with libpng 1.2.2

Revision 1.64  2002/04/25 16:21:42  arturs
fixed a small typo

Revision 1.63  2002/03/27 11:53:21  roman
s/BSD-style/BSD-like

Revision 1.62  2002/03/24 23:28:16  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.61  2002/02/23 02:06:17  kloczek
- adapterized.

Revision 1.60  2002/02/22 23:28:56  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.59  2002/02/19 03:25:29  kloczek
- release 4.

Revision 1.58  2002/02/18 19:28:54  gotar
- %desc

Revision 1.57  2002/01/18 02:13:01  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.56  2001/12/21 22:15:24  kloczek
- merge translations from Conectiva.

Revision 1.55  2001/12/20 12:47:48  qboosh
- fixed static description
- -devel Reqires: libjpeg-devel, freetype-devel >= 2.0
- release 3

Revision 1.54  2001/10/03 16:44:16  filon
- changed req for main subpkg in static subpkg to devel
- release 2

Revision 1.53  2001/09/26 10:26:59  qboosh
- adapterized, BuildRequires: libtool

Revision 1.52  2001/07/13 14:34:44  wiget
Source0 URL fixed

Revision 1.51  2001/07/12 23:40:36  qboosh
- 2.0.1, updated ac_am patch; uses freetype2 now
- BuildRequires: libtiff-devel
php seems to be ready for gd2; need to check perl-GD, webalizer etc.

Revision 1.50  2001/06/12 09:31:09  mkochano
- Release 6.
- Removed gd-HAVE_LIBJPEG patch. Jacek Osiecki has discovered correct
  solution: fixing gd-ac_am.patch.

Revision 1.49  2001/06/12 08:35:55  mkochano
- Release 5.
- Added gd-HAVE_LIBJPEG.patch (by Jacek Osiecki <joshua@ceti.pl>).

Revision 1.48  2001/06/04 14:41:51  baggins
- autoconf must be after automake

Revision 1.47  2001/05/21 10:08:53  michuz
- vback to previous version (my fault)

Revision 1.46  2001/05/20 15:36:09  michuz
- release 3
- a few fixes

Revision 1.45  2001/03/19 20:43:57  kloczek
- release 2: rebuild against freetype1.

Revision 1.44  2001/03/18 15:46:11  agaran
looks like that libjpeg-devel is needed for gd for build, added

Revision 1.43  2001/02/01 23:58:14  kloczek
- updated to 1.8.4.

Revision 1.42  2001/01/02 07:39:57  kloczek
- release 8: added progs subpackage.

Revision 1.41  2000/12/07 19:19:10  kloczek
- release 7,
- fixed ac_am patch: pass to CFLAGS -DHAVE_JPEG if libjpeg found and
  -DHAVE_LIBTTF if libtiff found.

Revision 1.40  2000/11/03 06:33:04  kloczek
- release 6.

Revision 1.39  2000/10/09 17:48:05  kloczek
- release 5 (for allow upgrade from RH 7).

Revision 1.38  2000/10/09 17:43:57  kloczek
- adapterized and added using new rpm automation suit.

Revision 1.37  2000/10/09 13:32:53  wiget
- Release: 4
- (gd-devel) Requires: libpng-devel, zlib-devel

Revision 1.36  2000/08/30 21:12:57  kloczek
- added %%{_libdir}/*.la to devel.

Revision 1.35  2000/08/30 18:45:33  kloczek
- removed pld patch and added ac_am patch wit full autoconf/automake suilt
  for gd,
- spec adaptetrized.

Revision 1.34  2000/08/01 12:26:08  wiget
-BuildRequires: libjpeg-devel

Revision 1.33  2000/07/28 13:57:03  zagrodzki
- release 3, built against libpng >= 1.0.8

Revision 1.32  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.31  2000/06/06 19:56:52  bonkey
- make libgd.a before making shared
- shlibver defined
- release++

Revision 1.30  2000/06/05 10:22:59  bonkey
- v.1.8.3

Revision 1.29  2000/05/26 23:43:08  kloczek
- added missing %attr() in %files,
- new %description,
- removed %%{_libdir}/*.a from devel,
- cosmetics.

Revision 1.28  2000/05/25 21:39:38  lukasz
- updated to 1.8.2
- changed section install
- added Makefile patch

Revision 1.27  2000/05/18 21:48:36  kloczek
- spec adapterized.

Revision 1.26  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.25  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.24  2000/02/07 18:49:46  pius
- added -I/usr/include/freetype to CFLAGS
- cosmetics
- release 2
